<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
    <button class="btn btn-success" [disabled]="!folio.cuarto" (click)="guardarForm()">
        <i class="fas fa-save mr-2"></i>Guardar
    </button>
</app-page-title>

<div class="card">
    <div class="card-body">
        <div class="nav-class">
            <div class="row m-3 d-flex">
                <div class="form-group col-12 col-sm-6 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fa fa-bed"></i></div>
                        </div>
                        <input type="text" class="form-control" maxlength="7" name="cuarto" pattern="[0-9]+"
                            (change)="valueChange(idCuarto.value)" [(ngModel)]="folio.cuarto" #idCuarto appFocus>
                        <span class="input-group-append">
                            <button (click)="openModal()" class="btn btn-info">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>
                    </div>
                </div>
                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fa fa-hashtag"></i></div>
                        </div>
                        <input type="text" class="form-control" name="folio" [(ngModel)]="folio.hfolio" readonly>
                        <span class="input-group-append">
                            <button (click)="openModal()" class="btn btn-info" [disabled]="!dataFolios.length">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>
                    </div>
                </div>
                <div class="form-group col-12 col-sm-12 col-md-8 col-lg-6 col-xl-5">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fas fa-users"></i></div>
                        </div>
                        <input type="text" class="form-control" name="nombre" [(ngModel)]="nombreHuesped" readonly>
                    </div>
                </div>
                <div class="form-group col-5 col-sm-5 col-md-4 col-lg-3 col-xl-2" *ngIf="!folioTdc">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text">F.P.</div>
                        </div>
                        <input type="text" class="form-control" name="hfp" [(ngModel)]="folio.hfp" readonly>
                    </div>
                </div>
                <div class="form-group col-12 col-sm-6 col-md-5 col-lg-5 col-xl-4" *ngIf="folioTdc">
                    <div class="input-group">
                        <kendo-maskedtextbox [includeLiterals]="includeLiterals" [(value)]="folioTdc" name="hdfp"
                            class="w-100" [mask]="maskTdc" [readonly]="readonly">
                        </kendo-maskedtextbox>
                    </div>
                </div>
            </div>
        </div>
        <div class="divider"></div>
        <!-- <div class="animated fadeIn" *ngIf="flagBuscarHuesped"> -->

    </div>
</div>


<ng-template #modalHuesped let-c="close" let-d="dismiss">
    <div class="modal-header">

        <h6 class="modal-title">Huespedes en Casa {{ ttInfocia.cnombre }}</h6>
        <button class="close" aria-label="Close" (click)="c()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-buscar [ttfolio]="dataFolios" (resultFolio)="resultHuesped($event); c();"></app-buscar>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c()">Cerrar</button>
    </div>
</ng-template>